/**
 * Created by mgoria on 6/30/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AuthException = undefined;

var _Exception = require('./Exception');

/**
 * Thrown when auth error occurs
 */
class AuthException extends _Exception.Exception {
  /**
   * @param {Object} error
   */
  constructor(error) {
    super(`Error on authentication. ${error}`);
  }
}
exports.AuthException = AuthException;