/**
 * Created by mgoria on 7/10/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LoadUserException = undefined;

var _Exception = require('./Exception');

/**
 * Thrown when load user form db failed
 */
class LoadUserException extends _Exception.Exception {
  /**
   * @param {String} identityId
   * @param {Object} error
   */
  constructor(identityId, error) {
    super(`Error on loading user ${identityId} from db. ${error}`);
  }
}
exports.LoadUserException = LoadUserException;